# $Revision: 1.79.2.3.2.1 $, $Date: 2008/11/11 12:07:23 $

Summary:	A KDE frontend for gphoto2
Summary(pl.UTF-8):	Interfejs KDE do gphoto2
Name:		digikam
Version:	0.9.4
Release:	2
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://dl.sourceforge.net/digikam/%{name}-%{version}.tar.bz2
# Source0-md5:	b0f3fa00bd054b0497146e6ce24dab7c
Patch0:		kde-ac260-lt.patch
URL:		http://digikam.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	exiv2-devel >= 0.14
BuildRequires:	jasper-devel >= 1.7.0
BuildRequires:	kdelibs-devel
BuildRequires:	libgphoto2-devel
BuildRequires:	libkdcraw-devel >= 0.1.2
BuildRequires:	libkexiv2-devel >= 0.1.5
BuildRequires:	libkipi-devel >= 0.1
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	sed >= 4.0
BuildRequires:	sqlite3-devel
Obsoletes:	digikamimageplugins
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Designed to be a standalone application to preview and download images
from a digital camera on a Linux machine.

%description -l pl.UTF-8
Samodzielna aplikacja do oglądania i ściągania obrazków z aparatów
cyfrowych pod Linuksem.

%package devel
Summary:	A KDE frontend for gphoto2 - header files
Summary(pl.UTF-8):	Interfejs KDE do gphoto2 - pliki nagłówkowe
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	kdelibs-devel
Requires:	libgphoto2-devel

%description devel
A KDE frontend for gphoto2 - header files.

%description devel -l pl.UTF-8
Interfejs KDE do gphoto2 - pliki nagłówkowe.

%prep
%setup -q
%patch0 -p1

%{__sed} -i -e "s,Categories.*,Categories=Qt;KDE;Graphics;Photograph;," \
	./digikam/digikam/digikam.desktop \
	./digikam/showfoto/showfoto.desktop
echo "# vi: encoding=utf-8" >> ./digikam/digikam/digikam.desktop
echo "# vi: encoding=utf-8" >> ./digikam/showfoto/showfoto.desktop
echo "# vi: encoding=utf-8" >> ./digikam/imageplugins/digikamimageplugin_core.desktop
echo "# vi: encoding=utf-8" >> ./digikam/utilities/imageeditor/digikamimageplugin.desktop

%build
cp -f /usr/share/automake/config.sub admin
%{__make} -f admin/Makefile.common cvs

%configure \
%if "%{_lib}" == "lib64"
	--enable-libsuffix=64 \
%endif
	--%{?debug:en}%{!?debug:dis}able-debug%{?debug:=full} \
	--disable-rpath \
	--with-qt-libraries=%{_libdir} \
	--with-imlib2-config=%{_bindir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir} \
	kde_libs_htmldir=%{_kdedocdir}

rm $RPM_BUILD_ROOT%{_libdir}/kde3/*.la

[ -d $RPM_BUILD_ROOT%{_datadir}/locale/sr@latin ] || \
	mv -f $RPM_BUILD_ROOT%{_datadir}/locale/sr@{Latn,latin}
%find_lang %{name} --with-kde --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/*.so.*.*.*
%attr(755,root,root) %{_libdir}/kde3/*.so
%attr(755,root,root) %{_datadir}/apps/digikam/utils/digikam-camera
%dir %{_datadir}/apps/digikam
%dir %{_datadir}/apps/digikam/utils
%{_datadir}/apps/digikam/icons
%{_datadir}/apps/digikam/themes
%{_datadir}/apps/digikam/about
%{_datadir}/apps/digikam/data
%{_datadir}/apps/digikam/profiles
%{_datadir}/apps/digikam/tips
%{_datadir}/apps/digikam/digikam-splash.png
%{_datadir}/apps/digikam/*.rc
%{_datadir}/services/*
%{_datadir}/servicetypes/*
%{_datadir}/apps/showfoto
%{_datadir}/apps/konqueror/servicemenus/digikam-*.desktop
%{_desktopdir}/kde/*.desktop
%{_iconsdir}/[!l]*/*/*/*
%{_mandir}/man1/digitaglinktree.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*.h
%{_includedir}/digikam

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: digikam.spec,v $
Revision 1.79.2.3.2.1  2008/11/11 12:07:23  arekm
- rel 2

Revision 1.79.2.3  2008/07/25 07:15:41  arekm
- up to 0.9.4

Revision 1.79.2.2  2008/07/21 07:54:39  arekm
- rel 4; fix build

Revision 1.79.2.1  2008/07/21 06:52:10  arekm
- rel 3

Revision 1.79  2008/04/25 18:36:07  hawk
- release 2

Revision 1.78  2008-01-03 19:16:20  rotom
- +x to digikam-camera script

Revision 1.77  2007-12-30 19:24:58  rotom
- 0.9.3
- obsoletes lcms patch removed

Revision 1.76  2007-11-03 23:27:05  ankry
- sr@Latn -> sr@latin, rel. 6

Revision 1.75  2007/10/30 09:11:12  arekm
- rel 5; fix build with new lcms

Revision 1.74  2007/10/21 17:47:01  arekm
- rel 4; rebuild

Revision 1.73  2007/10/20 09:11:34  glen
- group X11/Applications/Graphics

Revision 1.72  2007/10/19 17:53:43  shadzik
- reverted wolvverines commit
- betas GO ON DEVEL! especially when you aren't sure if they build!

Revision 1.70  2007/10/03 13:30:50  wolvverine
- rel.3

Revision 1.69  2007/06/21 21:07:04  arekm
- rel 2; obsolete digikamimageplugins (merged into main package)

Revision 1.68  2007/06/21 17:38:35  shadzik
- 0.9.2
- updated BRs
- BR libdcraw-devel

Revision 1.67  2007/06/14 16:54:46  arekm
- rel 3

Revision 1.66  2007/04/18 09:23:54  pluto
- rebuild to fix libstdc++ implementation change (_ZNSo9_M_insertEPKcl).
- release 2.

Revision 1.65  2007/03/08 10:21:45  shadzik
- kill useless BRs
- add jasper-devel BR
- pointed by Kacper Kornet <kornet at camk dot edu dot pl>

Revision 1.64  2007/03/05 17:43:43  shadzik
- merged from HEAD version 0.9.1 stable
- rel 1

Revision 1.63.2.4  2007/03/05 17:41:44  shadzik
- up to 0.9.1 stable

Revision 1.63.2.3  2007/03/03 15:02:12  shadzik
- make -C digikam not needed anymore

Revision 1.63.2.2  2007/03/03 14:57:32  shadzik
- ups, ekhem, now really libkexiv2-devel

Revision 1.63.2.1  2007/03/03 14:56:53  shadzik
- up to 0.9.1-rc2
- BR: libkexiv2-devel

Revision 1.63  2007/02/12 21:23:53  glen
- tabs in preamble

Revision 1.62  2007/02/12 00:48:45  baggins
- converted to UTF-8

Revision 1.61  2006/12/22 01:24:46  shadzik
- remove *.la files
- rel 5 for rebuild

Revision 1.60  2006/12/18 23:23:07  shadzik
- rel 4 for rebuild

Revision 1.59  2006/12/18 23:14:45  shadzik
- reverted last change

Revision 1.58  2006/12/18 20:58:41  shadzik
- _noautoreq libtool(.*)

Revision 1.57  2006/12/18 17:11:58  shadzik
- rel 2

Revision 1.56  2006/12/18 17:10:18  shadzik
- add ac260-lt patch

Revision 1.55  2006/12/18 14:19:34  qboosh
- restored prep/build separation

Revision 1.54  2006/12/18 13:27:11  shadzik
- add missing changelogs (1.43-1.52)

Revision 1.53  2006/12/18 13:19:32  shadzik
- merged from DEVEL
- version 0.9.0

Revision 1.52  2006/07/18 22:34:09  vip
- missing BR: sqlite3-devel

Revision 1.51  2006/07/18 22:02:36  shadzik
- build fix

Revision 1.50  2006/07/18 21:01:07  shadzik
- up to 0.8.2

Revision 1.49  2006/04/11 22:59:41  arekm
- rel 2; drop x-raw.desktop; conflicting with kdelibs

Revision 1.48  2006/03/09 09:11:40  glen
- altering source moved to %prep

Revision 1.47  2006/02/17 14:19:51  rotom
- updated to 0.8.1

Revision 1.46  2006/01/13 20:08:48  arekm
- rel 2

Revision 1.45  2005/12/30 20:00:33  maciek2w
- packaged digikam.desktop

Revision 1.44  2005/12/30 16:35:36  pawelk
- version 0.8.0

Revision 1.43  2005/10/30 12:19:51  arekm
- rel 2

Revision 1.42.2.15  2006/12/18 13:13:29  shadzik
- up to final 0.9.0, seems stable to me so...
- ... rel 1
- ready to merge to HEAD

Revision 1.42.2.14  2006/12/08 00:22:09  shadzik
- sort BRs, darekr shame on you :P

Revision 1.42.2.13  2006/12/08 00:20:43  shadzik
- Br exiv2
- builds

Revision 1.42.2.12  2006/12/07 23:40:05  darekr
- BR: libstdc++-devel

Revision 1.42.2.11  2006/12/07 22:04:41  shadzik
- 0.9.0-rc2

Revision 1.42.2.10  2006/11/21 22:01:52  shadzik
- 0.9.0rc1

Revision 1.42.2.9  2006/10/23 00:36:21  shadzik
- 0.9.0beta3

Revision 1.42.2.8  2006/09/20 11:10:12  qboosh
- files fix

Revision 1.42.2.7  2006/09/20 09:02:59  shadzik
- add manpage for digitagtree

Revision 1.42.2.6  2006/09/20 08:57:54  shadzik
- 0.9.0beta2

Revision 1.42.2.5  2006/07/21 11:30:33  shadzik
- up to 0.9.0-beta1

Revision 1.42.2.4  2006/05/19 03:31:36  shadzik
- up to 0.8.2 RC1; not tested

Revision 1.42.2.3  2005/12/09 14:55:03  paszczus
- updated to 0.8.0
- ready to merge

Revision 1.42.2.2  2005/08/22 22:04:41  paszczus
- commented files are back

Revision 1.42.2.1  2005/08/22 21:56:01  paszczus
- updated to 0.8.0 (snap 2005-08-22)
- added BR: sqlite3-devel

Revision 1.42  2005/08/22 19:01:58  arekm
- up to 0.7.4

Revision 1.41  2005/07/18 11:15:53  charles
- updated to 0.7.3
- updated build section, added --all-name to find_lang
- fix pl -devel desc
- BR: autoconf, sed >= 4.0
- more docs

Revision 1.40  2005/05/23 15:25:47  darekr
- 1.129 macros for _kdedocdir

Revision 1.39  2005/03/27 12:16:32  havner
- rel 1

Revision 1.38  2005/03/20 12:04:47  qboosh
- gpm-friendly Source0 URL

Revision 1.37  2005/03/04 18:40:46  bszx
- updated to 0.7.2

Revision 1.36  2005/01/09 01:40:00  petec
- update to 0.7.1 from Michal Kochanowicz <michal@michal.waw.pl>
- BR libkexif-devel 0.2
- showfoto added to package

Revision 1.35  2004/11/27 19:21:08  saq
- massive attack: more BR epoch fixes

Revision 1.34  2004/11/17 20:17:34  qboosh
- revised BRs

Revision 1.33  2004/11/16 22:05:20  arekm
- rel 1

Revision 1.32  2004/11/14 15:49:59  jm
- fixes by Michał Kochanowicz of previous update to 0.7

Revision 1.31  2004/11/10 14:11:14  paladine
- cosmetics

Revision 1.30  2004/11/08 21:26:58  paszczus
- updated to FINAL 0.7
- release 0.1 ; test build please

Revision 1.29  2004/09/24 13:18:34  radek
- massive: missing %defattr (or related cosmetics)

Revision 1.28  2004/09/20 16:59:14  djurban
- md5

Revision 1.27  2004/09/20 16:52:20  djurban
- fix imlib req and fetch tarball

Revision 1.26  2004/09/20 16:49:43  djurban
- finished update, will fetch md5 srcs in a moment

Revision 1.25  2004/09/20 16:17:32  djurban
- begin update to 0.7.0

Revision 1.19  2004/09/17 06:55:04  krolik
- fixed %prep, it builds

Revision 1.18  2004/09/17 01:19:24  havner
- proper source0 url

Revision 1.17  2004/09/17 01:16:45  havner
- properly commented out macros

Revision 1.16  2004/09/17 00:21:28  havner
- 0.6.2

Revision 1.15  2004/09/16 22:42:10  aflinta
- rebuild with libexif, release 3

Revision 1.14  2004/07/28 01:02:04  ankry
- cp config.sub for amd64, rel. 2

Revision 1.13  2004/07/28 00:07:35  ankry
- desktop fixes

Revision 1.12  2004/07/12 09:21:20  ankry
- fixed epoch issues for libexif/libpcd

Revision 1.11  2004/06/21 18:47:22  qboosh
- -devel R: kdelibs-devel,libgphoto2-devel

Revision 1.10  2004/04/25 17:48:24  yogib
- changed Categories passed to desktop file

Revision 1.9  2004/04/12 13:16:23  yogib
- updated to 0.6.1, added BR: kdesdk-po2xml, commented ac/am

Revision 1.8  2004/03/25 12:13:26  matkor
- Rel. 3. Therotically fixed main desktop file.

Revision 1.7  2004/03/21 16:44:39  marcus
- added BR imlib-devel

Revision 1.6  2004/03/07 13:33:59  yogib
- missing BR: lockdev-devel

Revision 1.5  2004/03/05 22:59:42  qboosh
- some cleanups and (blind) fixes

Revision 1.4  2004/03/05 17:32:56  bszx
- updated to 0.6

Revision 1.2  2003/08/02 23:29:53  qboosh
- pl, changed _prefix for HEAD

Revision 1.1  2003/08/02 12:54:47  bszx
- initial revision; tested on Ra, 2.4.22-pre2 kernel and PTP camera
